﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Shared;

namespace WPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var dataList = (chart.DataContext as viewmodel).Data;

            var rnd1 = new Random();

            foreach (var item in dataList)
            {
                item.Count = rnd1.Next(50,200);
            }            
        }
    }

    public class model : NotificationObject
    {

        public double _count;
        public string Country { get; set; }

        public double Count
        {
            get { return _count; }
            set
            {
                _count = value;
                RaisePropertyChanged("Count");
            }
        }
    }
    public class viewmodel 
    {
        public viewmodel()
        {
            this.Data = new List<model>();
            Data.Add(new model() { Country = "Others", Count = 195 });
            Data.Add(new model() { Country = "Uruguay", Count = 165 });
            Data.Add(new model() { Country = "Argentina", Count = 110 });
            Data.Add(new model() { Country = "United States", Count = 85});
            Data.Add(new model() { Country = "United States", Count = 55 });

        }

        public IList<model> Data
        {
            get;
            set;
        }
    }
}
